import request from "@/utils/request";

// 查询设备告警日志列表
export function listLog(query) {
  return request({
    url: "/alert/log/list",
    method: "get",
    params: query,
  });
}

// 查询设备告警日志详细
export function getLog(alertId) {
  return request({
    url: "/alert/log/" + alertId,
    method: "get",
  });
}

// 新增设备告警日志
export function addLog(data) {
  return request({
    url: "/alert/log",
    method: "post",
    data: data,
  });
}

// 修改设备告警日志
export function updateLog(data) {
  return request({
    url: "/alert/log",
    method: "put",
    data: data,
  });
}

// 删除设备告警日志
export function delLog(alertId) {
  return request({
    url: "/alert/log/" + alertId,
    method: "delete",
  });
}
