import request from "@/utils/request";

// 查询场景联动列表
export function listLinkage(query) {
  return request({
    url: "/device/linkage/list",
    method: "get",
    params: query,
  });
}

// 查询场景联动详细
export function getLinkage(sceneId) {
  return request({
    url: "/device/linkage/" + sceneId,
    method: "get",
  });
}

// 新增场景联动
export function addLinkage(data) {
  return request({
    url: "/device/linkage",
    method: "post",
    data: data,
  });
}

// 修改场景联动
export function updateLinkage(data) {
  return request({
    url: "/device/linkage",
    method: "put",
    data: data,
  });
}

// 删除场景联动
export function delLinkage(sceneId) {
  return request({
    url: "/device/linkage/" + sceneId,
    method: "delete",
  });
}
