import request from "@/utils/request";

// 查询告警消息配置列表
export function listNoticeConfig(query) {
  return request({
    url: "/product/noticeConfig/list",
    method: "get",
    params: query,
  });
}

// 查询告警消息配置详细
export function getNoticeConfig(configId) {
  return request({
    url: "/product/noticeConfig/" + configId,
    method: "get",
  });
}

// 新增告警消息配置
export function addNoticeConfig(data) {
  return request({
    url: "/product/noticeConfig",
    method: "post",
    data: data,
  });
}

// 修改告警消息配置
export function updateNoticeConfig(data) {
  return request({
    url: "/product/noticeConfig",
    method: "put",
    data: data,
  });
}

// 删除告警消息配置
export function delNoticeConfig(configId) {
  return request({
    url: "/product/noticeConfig/" + configId,
    method: "delete",
  });
}
